<?php
/*
 #########################################################################
 #                       xt:Commerce Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2021 xt:Commerce GmbH All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # https://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @copyright xt:Commerce GmbH, www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce GmbH, Maximilianstrasse 9, 6020 Innsbruck
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */


defined('_VALID_CALL') or die('Direct Access is not allowed.');

require_once _SRV_WEBROOT . _SRV_WEB_PLUGINS. 'xt_mollie/classes/class.xt_mollie.php';

global $page, $store_handler;

if (defined('XT_MOLLIE_MOL_ACTIVATED') && XT_MOLLIE_MOL_ACTIVATED)
{
    if ($page->page_name == 'checkout' && $_REQUEST['action'] == 'payment')
    {
        if (strpos($_REQUEST['selected_payment'], ':'))
        {
            $_mollie_payments = explode(':', $_REQUEST['selected_payment']);
            if ($_mollie_payments[0] == 'xt_mollie')
            {
                $_SESSION['selected_payment'] = $_mollie_payments[0];
                $_SESSION['selected_payment_sub'] = $_mollie_payments[1];
            }
        }
    }
    else
    {
        if ($page->page_name == 'checkout' && $page->page_action == 'confirmation')
        {
            if (strstr($_SESSION['selected_payment'], 'xt_mollie'))
            {
                require_once _SRV_WEBROOT . _SRV_WEB_PLUGINS . 'xt_mollie/classes/library/vendor/mollie/mollie-api-php/examples/initialize.php';

                foreach ($_SESSION['mollie_payment_methods'] as $pmc)
                {
                    if ($pmc->id == $_SESSION['selected_payment_sub'])
                    {
                        define('TEXT_PAYMENT_' . strtoupper($_SESSION['selected_payment_sub']), $pmc->description);
                        break;
                    }
                }
                if (!defined('TEXT_PAYMENT_' . strtoupper($_SESSION['selected_payment_sub'])))
                {
                    define('TEXT_PAYMENT_' . strtoupper($_SESSION['selected_payment_sub']), $_SESSION['selected_payment_sub']);
                }
            }

        }
    }

}
